org.apache.felix.bundlerepository.impl

## Class ReasonImpl

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.ReasonImpl

All Implemented Interfaces:
  Reason

    public class ReasonImpl
    extends java.lang.Object
    implements Reason

### Constructor Summary

Constructors
Constructor and Description
`ReasonImpl(Resource resource, Requirement requirement)`

### Method Summary

Methods
`Requirement` `getRequirement()`
`Resource` `getResource()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReasonImpl

    public ReasonImpl(Resource resource,
              Requirement requirement)

### Method Detail

#### getResource

    public Resource getResource()

Specified by:
  `getResource` in interface `Reason`

#### getRequirement

    public Requirement getRequirement()

Specified by:
  `getRequirement` in interface `Reason`